[oggvideotools] 01/01: Start on simple autopkgtest setup and use it during build.
Petter Reinholdtsen
pere at moszumanska.debian.org
Tue Sep 22 06:44:23 UTC 2015
This is an automated email from the git hooks/post-receive script.
pere pushed a commit to branch master
in repository oggvideotools.
commit 3ed7b954fe651d6f92517c79080b8d72d553ee2c
Author: Petter Reinholdtsen <pere at hungry.com>
Date: Tue Sep 22 08:43:02 2015 +0200
Start on simple autopkgtest setup and use it during build.
Add simple test checking if the bug reported in bug #606224 exist.
---
debian/control | 1 +
debian/rules | 5 ++++-
debian/tests/control | 3 +++
debian/tests/test-oggjoin | 22 ++++++++++++++++++++++
4 files changed, 30 insertions(+), 1 deletion(-)
diff --git a/debian/control b/debian/control
index d4d3700..746e997 100644
--- a/debian/control
+++ b/debian/control
@@ -7,6 +7,7 @@ Uploaders:
, Martin Steghöfer <martin at steghoefer.eu>
Build-Depends: debhelper (>= 9), cmake, libogg-dev, libtheora-dev, libvorbis-dev, libsdl-dev, libgd2-xpm-dev
Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
Vcs-Git: https://anonscm.debian.org/git/pkg-xiph/oggvideotools.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xiph/oggvideotools.git
Homepage: http://www.streamnik.de/oggvideotools.html
diff --git a/debian/rules b/debian/rules
index 2b17e25..c01734b 100755
--- a/debian/rules
+++ b/debian/rules
@@ -46,7 +46,7 @@ binary: binary-arch
binary-indep:
binary-arch: DH_OPTIONS = -a
-binary-arch:
+binary-arch: check
dh_testdir
dh_testroot
dh_install $(objdir)/src/ogg* scripts/mkThumbs usr/bin
@@ -62,5 +62,8 @@ binary-arch:
dh_md5sums
dh_builddeb
+# Run our test suite until the upstream source get one
+check:
+ PATH=`pwd`/debian/oggvideotools/usr/bin:$$PATH ./debian/tests/test-oggjoin
.PHONY: clean build build-arch build-indep binary binary-arch binary-indep
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..15ea5dc
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: test-oggjoin
+Depends: @, debconf
+Restrictions:
diff --git a/debian/tests/test-oggjoin b/debian/tests/test-oggjoin
new file mode 100755
index 0000000..d46332c
--- /dev/null
+++ b/debian/tests/test-oggjoin
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+at_exit() {
+ set +x
+ echo "info: test exiting, removing $WORKDIR"
+ rm -rf $WORKDIR
+}
+WORKDIR=$(mktemp -d)
+trap at_exit INT TERM EXIT
+set -x
+
+cd $WORKDIR
+
+echo "info: Running autopkgtest script $0"
+
+echo "info: Generating Ogg Theora file"
+oggSlideshow /usr/share/pixmaps/debian-logo.png
+
+# Join it. This should trigger the bug reported in bug #606224
+echo "info: Copy Ogg Theora file using oggJoin."
+oggJoin out.ogv slideshow.ogv
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-xiph/oggvideotools.git
More information about the pkg-xiph-commits
mailing list